#
# == Class: freeradius::users
#
# Set up the freeradius users entries.
#
# == Authors
#
# * Trevor Vaughan <tvaughan@onyxpoint.com>
#
class freeradius::users {

  exec { 'build_freeradius_users':
    command     => "/bin/echo '# This file autogenerated by puppet. Changes will be lost.' > users; \
      /usr/bin/find users.inc -type f -exec echo '\$INCLUDE {}' \\; | /bin/sort -n >> users",
    cwd         => '/etc/raddb',
    refreshonly => true,
    notify      => Service['radiusd']
  }

  # A place to include user configurations.
  file { '/etc/raddb/users.inc':
    ensure  => 'directory',
    owner   => 'root',
    group   => 'radiusd',
    mode    => '0640',
    require => Group['radiusd']
  }

  file { '/etc/raddb/users':
    ensure => 'file',
    owner  => 'root',
    group  => 'radiusd',
    mode   => '0640',
    notify => Exec['build_freeradius_users']
  }

  tidy { '/etc/raddb/users.inc':
    size    => '0b',
    recurse => true,
    rmdirs  => true
  }
}
